#ifndef XGFXTEXTURE_H
#define XGFXTEXTURE_H

#include "xasset.h"
#include "xd3dtexture.h"
#include "xd3dvolumetexture.h"
#include "xd3dcubetexture.h"

class XD3DBaseTexture;
class XGfxImageLoadDef;

class XGfxTexture : public XAsset
{
public:
    XGfxTexture();
    ~XGfxTexture();

    virtual void ParseData(QDataStream* aStream) override;
    virtual void Clear() override;

private:
    XD3DBaseTexture* mBaseMap;
    XD3DTexture* mMap;
    XD3DVolumeTexture* mVolMap;
    XD3DCubeTexture* mCubeMap;
    XGfxImageLoadDef* mLoadDef;
};

#endif // XGFXTEXTURE_H
